#!/bin/bash
# Script to install moonshine-vagrant-mxhx-demo from an artifact

set -ex

# Deploy backend files
sudo mkdir -p /opt/haxe/scripts
sudo cp -f vagrant/*.sh /opt/haxe/scripts/
sudo chmod 744 /opt/haxe/scripts/*.sh
sudo cp -f vagrant/*.zip /opt/haxe
sudo mkdir -p /opt/haxe/examples
sudo cp -f -r templates/domino/* /opt/haxe/examples/
sudo cp -f -r templates/files/* /opt/haxe/examples/
sudo chown -R java_user:java_group /opt/haxe/

# Haxe installation - InstallHaxe.sh is the only one of the script that should run as part of this deployment.  This could be converted to Ansible
sudo su -c /opt/haxe/scripts/InstallHaxe.sh  - java_user

# Redeploy UI.  I'm removing the directory to remove any obsolete files
sudo rm -f -r /local/notesdata/domino/html/moonshine-vagrant-mxhx-demo
sudo cp -r bin /local/notesdata/domino/html/moonshine-vagrant-mxhx-demo
sudo chown -R domino:domino /local/notesdata/domino/html/moonshine-vagrant-mxhx-demo/
# Deploy preview images for examples:
sudo rm -f -r /local/notesdata/domino/html/mxhx-preview
sudo cp -r templates/files/mxhx-preview /local/notesdata/domino/html/mxhx-preview
sudo chown -R domino:domino /local/notesdata/domino/html/mxhx-preview
# replace restapi server name reference
#sudo sed -i "s:prominic.domino.com:`hostname`:" /local/notesdata/domino/html/moonshine-vagrant-mxhx-demo/html5/bin/DesignView.js

# TODO:  Update CORS in /etc/haproxy/haproxy.cfg - this will be easier to do in Ansible.  For now, see README

echo "# Application should now be available and working at:  https://domino.`hostname`/moonshine-vagrant-mxhx-demo/html5/bin/index.html"

