#!/bin/bash

set -x

HAXE_VERSION=4.3.4
HAXE_HOME=/opt/haxe/haxe-$HAXE_VERSION
HAXE="$HAXE_HOME/haxe"
HAXELIB_DIR=/opt/haxe/haxelib
HAXELIB="$HAXE_HOME/haxelib"

TAR_NAME=haxe-$HAXE_VERSION-linux64.tar.gz
LOCAL_TAR=/tmp/$TAR_NAME
wget -O "$LOCAL_TAR" https://github.com/HaxeFoundation/haxe/releases/download/$HAXE_VERSION/$TAR_NAME

# Neko dependency - install this manualy as well?
sudo apt-get install neko -y

# Haxe Install
mkdir -p /opt/haxe
cd /opt/haxe
mkdir tmp_untar
tar xzvf "$LOCAL_TAR" -C tmp_untar/
mv tmp_untar/haxe_* "$HAXE_HOME"
mkdir -p "HAXELIB_DIR"
"$HAXELIB" setup  "$HAXELIB_DIR"
PATH=$PATH:$HAXE_HOME

# Install dependencies for HXMX
"$HAXELIB" git mxhx-feathersui https://github.com/mxhx-dev/mxhx-feathersui.git
"$HAXELIB" git mxhx-component https://github.com/mxhx-dev/mxhx-component.git
"$HAXELIB" install feathersui-validators
"$HAXELIB" install lime
"$HAXELIB" run openfl setup -y --quiet

# cleanup
rm -f "$LOCAL_TAR"
rm -rf tmp_untar

